As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 868249 - Preserve scroll position when toggling between "Popular" and "New" tabs
: Preserve scroll position when toggling between "Popular" and "New" tabs
Status: VERIFIED FIXED
[fireplace] p=1
:
Product: Marketplace
Classification: Server Software
Component: Consumer Pages (show other bugs)
: 1.0
: All All
: P3 normal (vote)
: 2013-05-16
Assigned To: Stuart Colville [:scolville] [:muffinresearch]
:
:
Mentors:
https://marketplace-altdev.allizom.or...
Depends on: 870008
Blocks: 859511
  Show dependency treegraph
 
Reported: 2013-05-02 17:22 PDT by Christopher Van Wiemeersch [:cvan]
Modified: 2013-05-22 08:12 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Christopher Van Wiemeersch [:cvan] 2013-05-02 17:22:58 PDT
1. Go to https://marketplace-altdev.allizom.org/category/books
2. Click "New" tab.
3. Watch scroll position get reset to the top.

Expected behaviour:
Scroll position should be preserved.

Actual behaviour:
Scroll position does not get reset to the top.
Comment 1 User image Matt Basta [:basta] 2013-05-08 07:30:20 PDT
Stuart: this might be easiest if you use .trigger('divert') instead of relying on the click fallback of trigger('navigate') on those tabs instead of writing something crazy. Iirc, divert doesn't change scroll position.
Comment 2 User image Stuart Colville [:scolville] [:muffinresearch] 2013-05-10 08:25:41 PDT
https://github.com/mozilla/fireplace/commit/a1e1579e14887a8257181d1a9ce0be696d72bfbb
Comment 3 User image Iulian Timis 2013-05-22 08:12:17 PDT
Verified as fixed in https://marketplace-dev.allizom.org/ on FF24 (Win 7)
Postfix screencast http://screencast.com/t/WJAhOsn0HBCT
Closing bug.

Note You need to log in before you can comment on or make changes to this bug.